## com.imcode.imcms.flow
Class DocumentPermissionsPage

    java.lang.Object
      com.imcode.imcms.flow.Page
          com.imcode.imcms.flow.OkCancelPage
              com.imcode.imcms.flow.DocumentPermissionsPage

All Implemented Interfaces:
  HttpSessionAttribute, java.io.Serializable

    public class DocumentPermissionsPage

extends OkCancelPage

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `REQUEST_PARAMETER__ADD_ROLES`
`static java.lang.String` `REQUEST_PARAMETER__DEFAULT_TEMPLATE_ID`
`static java.lang.String` `REQUEST_PARAMETER__RESTRICTED_ONE_MORE_PRIVILEGED_THAN_RESTRICTED_TWO`
`static java.lang.String` `REQUEST_PARAMETER__ROLES_WITHOUT_PERMISSIONS`
`static java.lang.String` `REQUEST_PARAMETER_PREFIX__ROLE_PERMISSION`

Fields inherited from class com.imcode.imcms.flow.OkCancelPage
`cancelCommand, okCommand, REQUEST_PARAMETER__CANCEL, REQUEST_PARAMETER__OK`

Fields inherited from class com.imcode.imcms.flow.Page
`IN_REQUEST`

Constructor Summary
`DocumentPermissionsPage(DocumentDomainObject document, DispatchCommand okCommand, DispatchCommand cancelCommand)`

Method Summary
`protected void` `dispatchOther(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`DocumentDomainObject` `getDocument()`
`java.lang.String` `getPath(javax.servlet.http.HttpServletRequest request)`
`protected void` `updateFromRequest(javax.servlet.http.HttpServletRequest request)`

Methods inherited from class com.imcode.imcms.flow.OkCancelPage
`dispatch, dispatchCancel, dispatchNotCanceled, dispatchOk, wasCanceled, wasOk`

Methods inherited from class com.imcode.imcms.flow.Page
`forward, fromRequest, getSessionAttributeName, htmlHidden, removeFromSession, setSessionAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER__ROLES_WITHOUT_PERMISSIONS

    public static final java.lang.String REQUEST_PARAMETER__ROLES_WITHOUT_PERMISSIONS

See Also:
  Constant Field Values

### REQUEST_PARAMETER_PREFIX__ROLE_PERMISSION

    public static final java.lang.String REQUEST_PARAMETER_PREFIX__ROLE_PERMISSION

See Also:
  Constant Field Values

### REQUEST_PARAMETER__DEFAULT_TEMPLATE_ID

    public static final java.lang.String REQUEST_PARAMETER__DEFAULT_TEMPLATE_ID

See Also:
  Constant Field Values

### REQUEST_PARAMETER__ADD_ROLES

    public static final java.lang.String REQUEST_PARAMETER__ADD_ROLES

See Also:
  Constant Field Values

### REQUEST_PARAMETER__RESTRICTED_ONE_MORE_PRIVILEGED_THAN_RESTRICTED_TWO

    public static final java.lang.String REQUEST_PARAMETER__RESTRICTED_ONE_MORE_PRIVILEGED_THAN_RESTRICTED_TWO

See Also:
  Constant Field Values

Constructor Detail

### DocumentPermissionsPage

    public DocumentPermissionsPage(DocumentDomainObject document,
                                   DispatchCommand okCommand,
                                   DispatchCommand cancelCommand)

Method Detail

### getPath

    public java.lang.String getPath(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `getPath` in class `Page`

### dispatchOther

    protected void dispatchOther(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws java.io.IOException,
                                 javax.servlet.ServletException

  Overrides:
    `dispatchOther` in class `OkCancelPage`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### updateFromRequest

    protected void updateFromRequest(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `updateFromRequest` in class `OkCancelPage`

### getDocument

    public DocumentDomainObject getDocument()